Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomEntity

    java.lang.Object
      |
      +--gnu.xml.dom.DomNode
            |
            +--gnu.xml.dom.DomExtern
                  |
                  +--gnu.xml.dom.DomEntity

All Implemented Interfaces:
  java.lang.Cloneable, DocumentEvent, Entity, EventTarget, Node, NodeList

public class DomEntity
extends DomExtern
implements Entity

"Entity" implementation. This is a non-core DOM class, supporting the "XML" feature. There are two types of entities, neither of which works particularly well in this API:

Unparsed Entities
  Since ENTITY/ENTITIES attributes, the only legal use of unparsed entities in XML, can't be detected with DOM, there isn't much point in trying to use unparsed entities in DOM applications. (XML Linking is working to provide a better version of this functionality.)
Parsed Entities
  While the DOM specification permits nodes for parsed entities to have a readonly set of children, this is not required and there is no portable way to provide such children. This implementation currently does not permit children to be added to Entities. There are related issues with the use of EntityReference nodes.

In short, avoid using this DOM functionality.

Version:
  $Date: 2001/11/20 04:53:46 $
Author:
  David Brownell
See Also:
  `DomDoctype`, `DomEntityReference`, `DomNotation`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `DomEntity(Document owner, java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notation)` Constructs an Entity node associated with the specified document, with the specified descriptive data.

Method Summary
`short` | `getNodeType()` DOM L1 Returns the constant ENTITY_NODE.
`java.lang.String` | `getNotationName()` DOM L1 Returns the NOTATION identifier associated with this entity, if any.

Methods inherited from class gnu.xml.dom.DomExtern
`getNodeName, getPublicId, getSystemId`

Methods inherited from class gnu.xml.dom.DomNode
`addEventListener, appendChild, clone, cloneNode, compact, createEvent, dispatchEvent, getAttributes, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isReadonly, isSupported, item, makeReadonly, nameAndTypeEquals, normalize, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, trimToSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Entity
`getPublicId, getSystemId`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DomEntity

    protected DomEntity(Document owner,
                        java.lang.String name,
                        java.lang.String publicId,
                        java.lang.String systemId,
                        java.lang.String notation)

  Constructs an Entity node associated with the specified document, with the specified descriptive data.

  This constructor should only be invoked by a DomDoctype as part of its declareEntity functionality, or through a subclass which is similarly used in a "Sub-DOM" style layer.

  Parameters:
    `owner` - The document with which this entity is associated
    `name` - Name of this entity
    `publicId` - If non-null, provides the entity's PUBLIC identifier
    `systemId` - Provides the entity's SYSTEM identifier (URI)
    `notation` - If non-null, provides the unparsed entity's notation.

Method Detail

### getNotationName

    public final java.lang.String getNotationName()

  DOM L1 Returns the NOTATION identifier associated with this entity, if any.
  Specified by:
    `getNotationName` in interface `Entity`

### getNodeType

    public final short getNodeType()

  DOM L1 Returns the constant ENTITY_NODE.
  Specified by:
    `getNodeType` in interface `Node`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.